org.eclipse.eef.ide.ui.internal.widgets.quickfix

## Class EEFQuickFixTableLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.eef.ide.ui.internal.widgets.quickfix.EEFQuickFixTableLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class EEFQuickFixTableLabelProvider
    extends org.eclipse.jface.viewers.LabelProvider

The label provider of the table viewer showing all the quick fixes available.

### Constructor Summary

Constructors
Constructor and Description
`EEFQuickFixTableLabelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Constructor Detail

#### EEFQuickFixTableLabelProvider

    public EEFQuickFixTableLabelProvider()

### Method Detail

#### getText

    public java.lang.String getText(java.lang.Object element)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `org.eclipse.jface.viewers.LabelProvider`
See Also:
  `LabelProvider.getText(java.lang.Object)`

#### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `org.eclipse.jface.viewers.LabelProvider`
See Also:
  `LabelProvider.getImage(java.lang.Object)`